Skip to main content
DELETE
/
projects
/
{projectId}
/
schemas
/
{entityType}
Delete for Entity
curl --request DELETE \
  --url https://{regionAndDomain}.com/api/app/projects/{projectId}/schemas/{entityType} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://{regionAndDomain}.com/api/app/projects/{projectId}/schemas/{entityType}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://{regionAndDomain}.com/api/app/projects/{projectId}/schemas/{entityType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "delete_count": 123
  },
  "status": "ok"
}
{
"error": "<string>",
"status": "error"
}
{
"error": "<string>",
"status": "error"
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

entityType
enum<string>
required

The entity type (eg: event)

Available options:
event,
profile

Query Parameters

entity_name
string

The entity name (eg: Added To Cart)

Response

Success

results
object
status
enum<string>
Available options:
ok